#ifndef CHOOSEPHONEMESDIALOG_H
#define CHOOSEPHONEMESDIALOG_H

#include <QDialog>
#include <QList>
#include <QPointer>

class Phoneme;
class QCheckBox;
class QPushButton;
class QGridLayout;
class QHBoxLayout;
class QVBoxLayout;
class QFont;

class ChoosePhonemesDialog : public QDialog  {
  Q_OBJECT
  
  public:
    ChoosePhonemesDialog (QList< QPointer<Phoneme> >, QList< QPointer<Phoneme> >);
    void setPhonemeFont (QFont);

  signals:
    void chosenPhonemes (QList< QPointer<Phoneme> >);

  private slots:
    void clear ();
    void selectAll ();
    void compileChoices ();

  private:
    QList< QPointer<Phoneme> > phonemeList;
    QList<QCheckBox*> phonemeBoxList;
    QPushButton *chooseButton;
    QPushButton *clearButton;
    QPushButton *selectAllButton;

    QGridLayout *phonemeLayout;
    QHBoxLayout *buttonLayout;
    QVBoxLayout *mainLayout;
};

#endif