#ifndef CHOOSESEQUENCEDIALOG_H
#define CHOOSESEQUENCEDIALOG_H

#include <QList>
#include <QPointer>
#include <QDialog>

class Phoneme;
class QRadioButton;
class QPushButton;
class QGridLayout;
class QVBoxLayout;
class QHBoxLayout;
class QLabel;

class ChooseSequenceDialog : public QDialog  {
  Q_OBJECT

  public:
    ChooseSequenceDialog (QList< QList< QPointer<Phoneme> > >, int, bool);
    ChooseSequenceDialog (QList< QPointer<Phoneme> >, QList< QPointer<Phoneme> >);

  signals:
    void sequenceChosen (QList< QPointer<Phoneme> >);

  private slots:
    void addPhoneme (QObject*);
    void eraseLast ();
    void clear ();
    void submit ();

  private:
    QList< QList< QPointer<Phoneme> > > sequenceList;
    QList< QPointer<Phoneme> > currentSequence;
    
    QList<QRadioButton*> sequenceButtonList;
    QList<QPushButton*> phonemeButtonList;
    QPushButton *clearButton;
    QPushButton *backButton;
    QLabel *sequenceDisplay;
    QPushButton *submitButton;

    bool freeMode;

    QGridLayout *sequenceLayout;
    QHBoxLayout *buttonLayout;
    QVBoxLayout *mainLayout;
};

#endif