#ifndef LOADPARTIALWORDLISTDIALOG_H
#define LOADPARTIALWORDLISTDIALOG_H

#include <QDialog>
#include <QList>
#include <QPointer>
#include <QDomElement>

#include "phonotactics.h"

class QString;
class QStringList;
class QStringListModel;
class QListView;
class QLabel;
class QPushButton;
class QCheckBox;
class QHBoxLayout;
class QVBoxLayout;
class Word;

class LoadPartialWordlistDialog : public QDialog  {
  Q_OBJECT

  public:
    LoadPartialWordlistDialog (QDomElement, Phonotactics);

  signals:
    void loadList (QList< QPointer<Word> >, bool);

  private slots:
    void excludedSelected ();
    void includedSelected ();
    void includeWords ();
    void excludeWords ();
    void import ();

  private:
    void sortLists ();
    void updateModels ();

    QDomElement wordList;
    QStringList includedWords;
    QStringList excludedWords;
    Phonotactics phonotactics;

    QLabel *excludedWordsLabel;
    QListView *excludedWordsView;
    QStringListModel *excludedWordsModel;

    QLabel *includedWordsLabel;
    QListView *includedWordsView;
    QStringListModel *includedWordsModel;

    QPushButton *addButton;
    QPushButton *removeButton;

    QCheckBox *overwriteBox;
    QPushButton *importButton;

    QVBoxLayout *includedWordsLayout;
    QVBoxLayout *excludedWordsLayout;
    QVBoxLayout *addRemoveLayout;
    QHBoxLayout *listViewsLayout;
    QVBoxLayout *mainLayout;
};

#endif