#include <QApplication>
#include <QFile>
#include <QTextStream>

#include "mainwindow.h"

int main (int argc, char *argv[])  {
  QApplication app (argc, argv);
  QFont font ("DejaVu Sans", 8);

  QFile settingsFile ("cd.config");
  QTextStream in (&settingsFile);
  if (settingsFile.open (QIODevice::ReadOnly | QIODevice::Text))  {
    QString line = in.readLine ();
    while (!line.startsWith ("Font") && !in.atEnd ())
      line = in.readLine ();
    
    if (line.startsWith ("Font"))  {
      line.remove (0, 5);
      font.fromString (line);
    }
  }
  
  app.setFont (font);
  MainWindow mainWin;
  mainWin.show ();
  return app.exec ();
}
