#include <QStringListModel>
#include <QIcon>

#include "mainwindow.h"

MainWindow::MainWindow ()  {
  dictionary = new Dictionary ();
  dictionary->setPhonemeModel (new QStringListModel (this));
  dictionary->setWordModel (new QStringListModel (this));
  dictionary->setSuprasegmentalModel (new QStringListModel (this));
  setCentralWidget (dictionary);

  QIcon icon ("ConlangDic.png");
  setWindowIcon (icon);
  setWindowTitle ("Conlang Dictionary");

  connect (dictionary, SIGNAL (languageNameUpdated (QString)), this,
           SLOT (updateWindowTitle (QString)));
}

void MainWindow::updateWindowTitle (QString languageName)  {
  setWindowTitle (languageName + " Dictionary");
}
