#include "phoneme.h"

Phoneme::Phoneme (QString n)  {
  name = n;
  spellings = QStringList () << n;
  notes = "";
}

QString Phoneme::getName ()  {
  return name;
}

QStringList Phoneme::getSpellings ()  {
  return spellings;
}

QString Phoneme::getSpellingsText ()  {
  QString text = "";

  for (int x = 0; x < spellings.size (); x++)
    text += spellings[x] + " ";

  text.chop (1);

  return text;
}

QString Phoneme::getNotes ()  {
  return notes;
}

QString Phoneme::getSaveOutput ()  {
  QString text = "";

  QString newName = name.remove (" ");
  newName = newName.remove ("]");
  text += newName + "  ";

  text += getSpellingsText ().replace (QRegExp ("\\s+"), " ") + "  ";
  text += getNotes ().replace (QRegExp ("\r?\n"), ";;");
  text += "\r\n";

  return text;
}

void Phoneme::setName (QString n)  {
  name = n;
}

void Phoneme::setSpellings (QString s)  {
  if (s == "") spellings = QStringList ();
  else spellings = s.split (' ');
}

void Phoneme::addSpelling (QString s)  {
  spellings.append (s);
}

void Phoneme::setNotes (QString n)  {
  notes = n;
}