#ifndef SEARCHPAGE_H
#define SEARCHPAGE_H

#include <QWidget>
#include <QList>
#include <QPointer>

class Word;
class QLineEdit;
class QPushButton;
class QComboBox;
class QTextEdit;
class QHBoxLayout;
class QVBoxLayout;
class QFont;

class SearchPage : public QWidget  {
  Q_OBJECT
  
  public:
    SearchPage ();

  public slots:
    void setWordList (QList< QPointer<Word> >);
    void setOrthographyFont (QFont);
    void setNotesFont (QFont);
    void clear ();

  private slots:
    void search ();

  private:
    QList< QPointer<Word> > wordList;

    QFont orthographyFont;
    QFont notesFont;

    QLineEdit *searchBox;
    QPushButton *searchButton;
    QComboBox *typeBox;
    QTextEdit *resultsDisplay;

    QHBoxLayout *searchLayout;
    QVBoxLayout *mainLayout;
};

#endif