#ifndef SETPARADIGMSDIALOG_H
#define SETPARADIGMSDIALOG_H

#include <QDialog>
#include <QList>

class QLineEdit;
class QComboBox;
class QPushButton;
class QStringList;
class QHBoxLayout;
class QVBoxLayout;

class SetParadigmsDialog : public QDialog  {
  Q_OBJECT

  public:
    SetParadigmsDialog (QStringList, QList<int>);

  signals:
    void submit (QStringList, QList<int>);

  private slots:
    void more ();
    void less ();
    void submit ();

  private:
    void updateDisplay ();

    int numParadigms;
    
    QList<QLineEdit*> paradigmEdit;
    QList<QComboBox*> useBox;
    QList<QHBoxLayout*> paradigmLayout;
    QList<QWidget*> paradigmWidget;
    
    QPushButton *moreButton;
    QPushButton *lessButton;
    QPushButton *submitButton;
    QHBoxLayout *moreLessLayout;
    QVBoxLayout *mainLayout;
};

#endif