#ifndef SUPRASEGMENTAL_H
#define SUPRASEGMENTAL_H

#include <QObject>
#include <QList>
#include <QPointer>

class Phoneme;
class QString;

class Suprasegmental : public QObject  {
  public:
    Suprasegmental ();

    QString getName ();
    QString getPhonemesText ();
    QList< QPointer<Phoneme> > getPhonemeList ();
    int getDomain ();
    int getSpellingType ();
    QString getSpellingDetail ();
    int getRepresentationType ();
    QString getRepresentationDetail ();
    QString getDescription ();
    QString getSaveOutput ();

    void setName (QString);
    void setPhonemeList (QList< QPointer<Phoneme> >);
    void setDomain (int);
    void setSpellingRules (int, QString);
    void setRepresentationRules (int, QString);
    void setDescription (QString);
    void removeDuds ();

  private:
    QString name;
    QList< QPointer<Phoneme> > applicablePhonemes;
    int domain;
    int spellingType;
    QString spellingDetail;
    int representationType;
    QString representationDetail;
    QString description;
};

#endif