#ifndef WORD_H
#define WORD_H

#include <QObject>
#include <QList>
#include <QPointer>

class QString;
class Phonotactics;
class Syllable;
class Phoneme;

class Word : public QObject  {
  public:
    Word (QString, Phonotactics);

    QString getName ();
    QString getPhonology ();
    QList<Syllable> getSyllableList ();
    QString getType ();
    QString getSubType ();
    QString getDefinition ();
    QString getSaveOutput ();

    void setName (QString, Phonotactics, bool = false);
    void setPhonology (QList<Syllable>);
    void setType (QString);
    void setSubType (QString);
    void setDefinition (QString);
    void removeDuds ();

    bool comesBefore (QPointer<Word>, QList< QPointer<Phoneme> >);

  private:
    void calculatePhonology (Phonotactics);

    QString name;
    QList<Syllable> phonology;
    QString type;
    QString subType;
    QString definition;
};

#endif